Subject: Re: Win32Core module question
From: "Yitzchak Scott-Thoennes" <[email-masked]>
To: "Reini Urban" <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Sep 2007 15:54:54 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

On Mon, September 10, 2007 12:34 pm, Reini Urban wrote:
> John Neil schrieb:
>
>> Thanks.  For now I installed the previous version of the Cygwin
>> perl-libwin32 package, but I agree there should be some way to access the
>> non-core Win32 routines that were previously available without having to
>> install the Win32 module yourself.
>
> Oops, I seem to have forgot my promise to add Win32.pm to CORE,
> when Jan removed it from libwin32.
>
> perl-libwin32-0.26 has it. perl-libwin32-0.27 not anymore. perl-5.8.8
> needs another update, sorry.
>
> Our quality process is really bad.

I noticed the situations when John asked about this last week at
http://perlmonks.org/?node_id=637296 and I started to email you,
but then got distracted.  I'm glad someone ended up getting in
touch with you.

You should be able to just remove the win32/ext/Win32/ files and include
the win32/ext/Win32 files from maint and change MANIFEST accordingly.
Pedantically, it would also be nice to use the Configure patch in
http://public.activestate.com/cgi-bin/perlbrowse/p/30733

Win32API::File is still in libwin32, since even for MSWin32 builds
it won't move to the core till 5.8.9, correct?

Thanks for all your work on cygwin perl.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/